PropertyEchoer (BioJava Demos API)
Keywords: ssbind.PropertyEchoer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ssbind
Class PropertyEchoer

    java.lang.Object
      org.biojava.bio.search.SearchContentAdapter
          ssbind.PropertyEchoer

All Implemented Interfaces:
  org.biojava.bio.search.SearchContentHandler

    public class PropertyEchoer

extends org.biojava.bio.search.SearchContentAdapter

Print out the value of a single property.

## Example

     java ProcessBlastReport out.blast "PropertyEchoer(keyName=numberOfIdentities)"

Author:
  Matthew Pocock

Constructor Summary
`PropertyEchoer()`

Method Summary
`void` | `addHitProperty(Object key, Object val)`
`void` | `addSearchProperty(Object key, Object val)`
`void` | `addSubHitProperty(Object key, Object val)`
`String` | `getKeyName()`
`void` | `setKeyName(String keyName)`

Methods inherited from class org.biojava.bio.search.SearchContentAdapter
`endHeader, endHit, endSearch, endSubHit, getMoreSearches, setDatabaseID, setMoreSearches, setQueryID, startHeader, startHit, startSearch, startSubHit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyEchoer

    public PropertyEchoer()

Method Detail

### setKeyName

    public void setKeyName(String keyName)

### getKeyName

    public String getKeyName()

### addSearchProperty

    public void addSearchProperty(Object key,
                                  Object val)

  Specified by:
    `addSearchProperty` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `addSearchProperty` in class `org.biojava.bio.search.SearchContentAdapter`

### addHitProperty

    public void addHitProperty(Object key,
                               Object val)

  Specified by:
    `addHitProperty` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `addHitProperty` in class `org.biojava.bio.search.SearchContentAdapter`

### addSubHitProperty

    public void addSubHitProperty(Object key,
                                  Object val)

  Specified by:
    `addSubHitProperty` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `addSubHitProperty` in class `org.biojava.bio.search.SearchContentAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD